Bug 660637 - Review Request: ghc-xml-types - Haskell library for XML types
Review Request: ghc-xml-types - Haskell library for XML types
Status: CLOSED DUPLICATE of bug 920022
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
Ready
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-07 07:43 EST by Narasimhan
Modified: 2013-03-20 04:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 03:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2010-12-07 07:44:53 EST
rpmlint  -i ghc-xml-types*.rpm ghc-xml-types.spec 
ghc-xml-types.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-xml-types.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-xml-types-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-xml-types-prof.i686: E: devel-dependency ghc-xml-types-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-xml-types-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-xml-types-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/xml-types-0.1.1/libHSxml-types-0.1.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 5 warnings.
Comment 2 Jens Petersen 2011-01-28 06:07:20 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 3 Narasimhan 2011-04-03 01:39:27 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-xml-types.spec

http://narasim.fedorapeople.org/package_reviews/ghc-xml-types-0.1.1-2.fc14.src.rpm

rpmlint  -i ghc-xml-types.spec ~/rpmbuild/SRPMS/ghc-xml-types-0.1.1-2.fc14.src.rpm  ~/rpmbuild/RPMS/i686/ghc-xml-types-                                                                                                                                
ghc-xml-types-0.1.1-2.fc14.i686.rpm        ghc-xml-types-devel-0.1.1-2.fc14.i686.rpm  ghc-xml-types-prof-0.1.1-2.fc14.i686.rpm                 
[narasimhan@localhost packaging_work]$ rpmlint  -i ghc-xml-types.spec ~/rpmbuild/SRPMS/ghc-xml-types-0.1.1-2.fc14.src.rpm  ~/rpmbuild/RPMS/i686/ghc-xml-types-*.rpm
ghc-xml-types.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.                                                                           
                                                                                                                                               
ghc-xml-types.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum                                                    
The value of this tag appears to be misspelled. Please double-check.                                                                           
                                                                                                                                               
ghc-xml-types-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum                                              
The value of this tag appears to be misspelled. Please double-check.                                                                           
                                                                                                                                               
ghc-xml-types-prof.i686: E: devel-dependency ghc-xml-types-devel                                                                               
Your package has a dependency on a devel package but it's not a devel package                                                                  
itself.
                                                                                                                                               
ghc-xml-types-prof.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum                                               
The value of this tag appears to be misspelled. Please double-check.
                                                                                                                                               
ghc-xml-types-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-xml-types-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/xml-types-0.1.1/libHSxml-types-0.1.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 4 Jens Petersen 2011-09-21 12:29:52 EDT
http://packdeps.haskellers.com/reverse/xml-types
Comment 5 Narasimhan 2012-11-02 11:11:45 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-xml-types-0.3.3-1.fc17.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-xml-types.spec

rpmlint  -i ghc-xml-types-0.3.3-1.fc17.x86_64.rpm ghc-xml-types-devel-0.3.3-1.fc17.x86_64.rpm ghc-xml-types-0.3.3-1.fc17.src.rpm ../ghc-xml-types.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 6 Jens Petersen 2012-11-28 02:27:21 EST
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4728034

Package looks fine to me - will post a formal review soon.
Comment 7 Jens Petersen 2013-03-11 03:57:02 EDT

*** This bug has been marked as a duplicate of bug 920022 ***
Comment 8 Jens Petersen 2013-03-11 03:57:56 EDT
(closing on behalf of Narasim)

Note You need to log in before you can comment on or make changes to this bug.